Subject: Re: bug#37393: 26.2.90; [PATCH] Speed up 'csv-align-fields'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Sep 2019 19:17:49 +0300

> From: Simen Heggestøyl <[email-masked]>
> Date: Sun, 15 Sep 2019 17:55:44 +0200
> Cc: [email-masked], [email-masked]
> 
> > If you're interested in this line, I think there are two avenues to
> > improve the behavior further:
> > - align lazily via jit-lock (this way the time is determined by the
> >   amount of text displayed rather than the total file size).
> 
> Wouldn't that still depend on knowing the column widths? I find that the
> column width computation is taking about 80% of the time when calling
> 'csv-align-fields' (after the patch).

I'm talking here about something I don't understand well enough, but
did you try computing column width using vertical-motion?